<?PHP
/**
 * This file contains an exception class for usage of unaccepted color.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised when trying to use a color that is not
 * accepted by museum-digital.
 */
final class MDInvalidColor extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'The following color is not available: ' . $this->getMessage();

    }
}
